API - API call to list Leads and Lead Fields
List all Leads
GET /leads
Full endpoint: https://sprinthub-api-master.sprinthub.app/leads?i=instancia
i = name of your instance
Body (example below in JSON)
{
"data": {
"total": 1134,
"leads": [
{
"id": 2035,
"fullname": "noreply-spamdigest via TeamDev",
"email": "dev@sprinthub.com"
},
{
```
Headers
Name
Value
Content-Type
application/json
Authorization
Bearer <token>
apitoken
XXXXXXX
List only ONE specific Lead
GET /leads/LEAD_ID
Full endpoint: https://sprinthub-api-master.sprinthub.app/leads/2065?i=instancia
List ALL fields of only ONE specific Lead
GET /leads/LEAD_ID&allFields=1
Full endpoint: https://sprinthub-api-master.sprinthub.app/leads/2065?i=instancia&allFields=1
.
List only SOME fields of only ONE specific Lead
GET /leads/LEAD_ID&query={lead{firstname,lastname,email,mobile}}
Full endpoint: https://sprinthub-api-master.sprinthub.app/leads/2065?i=instancia&query={lead{firstname,lastname,email,mobile}}
.
PreviousAPI - API call to list a Lead's Services
NextAPI - Call to list the instance's leads by searching for a specific field
Last updated
Was this helpful?